CreditAgencyGateway (Mule ESB 2.2.1 API)
Keywords: org.mule.example.loanbroker.esb.CreditAgencyGateway class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.example.loanbroker.esb
Class CreditAgencyGateway

    java.lang.Object
      org.mule.example.loanbroker.esb.CreditAgencyGateway

    public class CreditAgencyGateway

extends Object

This service is the gateway used to pass requests to the credit agency service. For the sake of the example we've added some complexity here. 1) We use a _component binding_ to bind the `CreditAgencyService` to the remote CreditAgencyService EJB instance. 2) The argument passed into this interface binding is `Customer` but the EJB instance needs only a String (name) and Integer (ssn). Also the EJB service returns an XML message, but we convert it to a `CreditProfile` object. We demonstrate how to perform argument transalations by configuring transformers and response-transformers on an endpoint.

Constructor Summary
`CreditAgencyGateway()`

Method Summary
`CreditAgencyService` | `getCreditAgencyService()`
`LoanBrokerQuoteRequest` | `process(LoanBrokerQuoteRequest request)`
`void` | `setCreditAgencyService(CreditAgencyService creditAgencyService)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CreditAgencyGateway

    public CreditAgencyGateway()

Method Detail

### process

    public LoanBrokerQuoteRequest process(LoanBrokerQuoteRequest request)

### getCreditAgencyService

    public CreditAgencyService getCreditAgencyService()

### setCreditAgencyService

    public void setCreditAgencyService(CreditAgencyService creditAgencyService)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.